page-chatgrouppage {
	
	.wrap-all {
		background-image: url('../assets/bg/bg3.png');
		background-size: cover;
	}

	.scroll-content {
		padding-top: 0px !important;
		padding-bottom: 0px !important;
		margin-top: 46px !important;
		margin-bottom: 50px !important;
	}


	.header-inner-container {
		background-image: url('../assets/bg/chattopheader.png');
		background-size: cover;
		background-color: transparent;
		height: 80px;

		.back-btn-container {
			
			padding-top: 8px;
			padding-left: 0px;

			.back-btn {
				height: 24px;
				width: 74.18px;
				background-image: url('../assets/icon/backicon.png');
				background-size: cover;
				background-position: center;
				background-color: transparent;
			}
		}

		.user-name-container {
			text-align: center;
			margin-top: -51.5px;
			margin-left: 100px;
			
			.user-name-inner-container {

				.user-name-label {
					font-family: 'Super Mario';
					font-size: 22px;
					font-weight: normal;
					font-style: normal;
					color: #333333;
					white-space: nowrap;
					text-overflow: ellipsis;
					overflow: hidden;
					width: 65.41%;
				}
			}
		}

		.profile-photo-container {

			text-align: right;
			margin-right: 13px;
			margin-top: -50px;

			.profile-photo img {
				border-radius: 50%;
				height: 56px;
				width: 56px;
				border: 3px solid #111;
				box-shadow: 1px 1px 6px #111111;
				background-color: #000;
			}
		}
	}

	.chat-footer-container {

		.chat-footer-inner-container {
			background-image: url('../assets/bg/chatbottomfooter.png');
			background-size: cover;
			height: 64px;
			padding-top: 2px;

			.add-attachment-container {

				.add-attachment-icon {
					width: 30px;
					height: 30px;
					margin-left: 10.5px;
					margin-top: 23px;
					background-image: url('../assets/icon/addattachmenticon.png');
					background-size: cover;
					background-position: center;
					background-color: transparent;
				}
			}

			.chat-message-input-container {
				margin-top: -38px;

				.chat-input-box {
					background-color: #fff;
					width: 73.3%;
					height: 40px;
					margin-left: auto;
					margin-right: auto;
					border: 0.55px solid rgba(0,0,0,0.3);
					border-radius: 20px;
					font-family: 'Candara';
					font-size: 19px;
					font-weight: bold;
					padding-left: 20px;
					padding-right: 10px;

					input {
						margin-top: 8px;
					}
				}
			}

			.send-icon-container {
				text-align: right;
				margin-top: -34.5px;
				margin-right: 11px;

				.send-icon {
					width: 30.5px;
					height: 27px;
					background-position: center;
					background-size: cover;
					background-image: url('../assets/icon/sendicon.png');
					float: right;
					background-color: transparent;
				}
			}
		}
	}

	.chat-messages-container {
		padding-top: 38px;

		.bubble {	
			max-width: 300px;
			min-width: 188px;
			height: auto;
			display: block;
			background: #f5f5f5;
			border-radius: 4px;
			box-shadow: 2px 4px 6px #666666;
			position: relative;
			border: 0.4px solid #dddddd;
			margin-bottom: 15px;

			&.left {
				float: left;
				margin-left: 12px;
				background-color: #fff;
			}

			&.right{
				float: right;
			    margin-right:12px;
			    background-color: #ffecc5;
			}

		    .txt {
		    
		    	padding: 8px 55px 8px 14px;
		    	
		    	.name {
		        	font-weight: 600;
		        	font-size: 16px;
		        	margin: 0 0 4px;
		        	color: #000;
		        	font-family: 'Candara';
		        	font-weight: bold;
		      	}

		      	.images-message img {
		      		padding-bottom: 18.5px;
		      		padding-top: 4px;
					padding-right: -50px !important;

		      	}

		      	.message {
		      		padding-top: 6.4px;
		      		padding-bottom: 20px;
		        	font-size: 15.5px;
		        	margin: 0;
		        	color: #333;
		        	font-family: 'Javanese';
		        	line-height: 20px;
		      	}

		      	.timestamp {
		        	font-size: 11.5px;
		        	position: absolute;
		        	bottom: 0px;
		        	right: 10px;
		        	text-transform: uppercase; color: #777;
		        	font-family: 'Javanese';
		      	}
		    }

		    .pic {
				padding: 8px 14px 8px 14px;
		    	
		    	.name {
		        	font-weight: 600;
		        	font-size: 16px;
		        	margin: 0 0 4px;
		        	color: #000;
		        	font-family: 'Candara';
		        	font-weight: bold;
		      	}

		      	.images-message img {
		      		padding-bottom: 18.5px;
		      		padding-top: 4px;
					padding-right: -50px !important;
					max-height: 300px;
		      	}

		      	.message {
		      		padding-top: 6.4px;
		      		padding-bottom: 20px;
		        	font-size: 15.5px;
		        	margin: 0;
		        	color: #333;
		        	font-family: 'Javanese';
		        	line-height: 20px;
		      	}

		      	.timestamp {
		        	font-size: 11.5px;
		        	position: absolute;
		        	bottom: 0px;
		        	right: 10px;
		        	text-transform: uppercase; color: #777;
		        	font-family: 'Javanese';
		      	}
			}

		    .bubble-arrow {
		      	position: absolute;
		      	width: 0;
		      	bottom:42px;
		      	left: -16px;
		      	height: 0;
				
		      	&.right {
		        	right: -2px;      
		        	bottom: 40px;
		        	left: auto;
		      	}
		    }

		    .bubble-arrow:after {
		      	content: "";
		      	position: absolute;
		      	border: 0 solid transparent;
		      	border-top: 9px solid #fff;
		      	border-radius: 0 20px 0;
		      	width: 15px;
		      	height: 30px;
		      	transform: rotate(145deg);
		      	box-shadow: 6px 3px 6px #666;
		    }

		    .bubble-arrow.right:after {
		    	border-top: 9px solid #ffecc5;
		      	transform: rotate(45deg) scaleY(-1);
		      	box-shadow: 6px 3px 6px #666;
		    }
		}
	}
}
